Active Gerrit users on a monthly basis
Closed, ResolvedPublic

Description

Data need:

  • Evolution and list of people participating in Gerrit.

Rationale:

Output:

  • Chart with evolutionary information about the number of people participating (quarterly basis).
  • List of people for the last quarter: name, email, affiliation, events she participated in
  • Not to be included in korma
Qgil created this task.Jan 8 2015, 11:41 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a project: wikimedia.biterg.io.
Qgil added a project: Gerrit.
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Qgil added subscribers: Qgil, Acs.
Qgil moved this task from Backlog to Ready to Go on the wikimedia.biterg.io board.Jan 8 2015, 1:32 PM

Under http://koti.kapsi.fi/~federico/crstats/core.txt is a list of actions, but having that under control of wmf is better for updates and traffic.

having that under control of wmf is better for updates and traffic.

{{citation needed}}

All developer have the right to leave, in that case the statistic maybe is lost or needs rewrite from another user or the wmf. When the statistic is under wmf control and the main developer is gone, than there is sucessor which has to maintain the statistic. When there is no sucessor at least the code is under wmf control and maybe can be reused.

But that is only my opinion, not a necessary point to fix this bug.

Qgil added a subscriber: Dicortazar.
Qgil assigned this task to Dicortazar.Feb 4 2015, 7:50 AM
Qgil added a comment.Feb 5 2015, 10:14 AM

Let's show a graph with the number of active users on a monthly basis. Then let's have a table with a list of active users in the past month (username in korma, affiliation). This way we can also identify current contributors missing affiliation.

Dicortazar updated the task description. (Show Details)Feb 5 2015, 12:57 PM

We finally defined to have it in a quarter basis as far as I remember. Although it wouldn't be an issue to have it using a month period.

I modified the description of the task. The idea is to have some initial chart and list of people to discuss about.

Qgil moved this task from Backlog to Ready To Go on the ECT-February-2015 board.Feb 10 2015, 5:05 PM
Dicortazar added a comment.EditedFeb 24 2015, 11:53 AM

Hi, numbers on participants in Gerrit.

A participant is defined as any developer that has left any trace of activity in Gerrit: comments, reviews, changes, patchsets submissions, etc.

First, the evolution of participants:

And then the full list of participants (2015-01-24, 2015-02-24) with their affiliations and total number of events. In this case, I didn't ignore self-merges. Those are simply actions in Gerrit I guess. That's the reason why you may see bots in the list of participants. We can remove them at some point in any case.

useraffiliationNumber of events
jenkins-botUnknown15505
Translation updater botUnknown2459
legoktmIndependent588
KrinkleWikimedia Foundation499
jforresterUnknown481
jayvdbUnknown462
Bartosz DziewońskiIndependent437
oriUnknown405
paladoxUnknown396
Fabian NeundorfUnknown383
hasharUnknown368
CatropeWikimedia Foundation359
dzahnUnknown352
hooUnknown342
yuvipandaUnknown285
florianschmidtwelzowUnknown260
thiemowmdeWikimedia Deutschland259
Ed SUnknown256
Matthew FlaschenWikimedia Foundation255
ricordisamoaUnknown231
UmherirrenderUnknown228
Adrian LangUnknown217
Bryan DavisWikimedia Foundation216
bblackUnknown214
ottoUnknown211
Niklas LaxströmWikimedia Foundation204
KartikMistryUnknown196
nemobisIndependent195
Sam ReedWikimedia Foundation194
AndrewUnknown194
Alexandros KosiarisWikimedia Foundation194
AnomieWikimedia Foundation194
amire80Wikimedia Foundation192
Henning SnaterUnknown181
ssastryUnknown179
Giuseppe LavagettoUnknown176
Adam Roses WightWikimedia Foundation175
bmansurovUnknown173
Santhosh ThottingalWikimedia Foundation170
ebernhardsonUnknown169
ArlolraWikimedia Foundation168
Jon RobsonWikimedia Foundation167
MooeypooUnknown162
Yaron KorenWikiWorks155
MaxSemWikimedia Foundation154
krenairUnknown153
filippoUnknown151
xqtIndependent150
Moritz SchubotzUnknown148
Gergo TiszaUnknown145
PhuedxUnknown143
Christopher JohnsonUnknown142
jhernandezUnknown134
mlitnWikimedia Foundation133
Aaron SchulzWikimedia Foundation131
jsahleenUnknown129
siebrandUnknown126
ChadWikimedia Foundation124
mhurdUnknown122
springleUnknown121
RobHUnknown118
Gilles DubucWikimedia Foundation112
MpaaUnknown112
fomafixUnknown108
kaldariWikimedia Foundation108
danielUnknown102
Trevor ParscalWikimedia Foundation99
[[mw:User:Valhallasw]]Unknown96
rmoenUnknown96
Chris McMahonWikimedia Foundation93
dbrantUnknown91
cscottUnknown89
audeUnknown88
MarkTraceurWikimedia Foundation87
Robert VogelUnknown87
nuriaUnknown86
MjbmrUnknown86
yurikUnknown85
Gabriel WickeWikimedia Foundation85
Merlijn van DeenIndependent82
Christian AistleitnerIndependent80
Brion VibberWikimedia Foundation80
arielUnknown78
bsitzmannUnknown77
cfloydUnknown74
bgerstleUnknown74
TTOUnknown73
marcoilUnknown72
rushUnknown71
JanZerebeckiUnknown64
zfilipinUnknown64
Dan DuvallUnknown63
Andrew GreenWikimedia Foundation62
jeroendedauwWikimedia Deutschland61
EjeggUnknown61
dr0ptp4ktUnknown58
GlaisherUnknown57
Tim StarlingWikimedia Foundation52
prtksxnaUnknown51
FaidonWikimedia Foundation50
tonythomas01Unknown50
Sn1perUnknown43
John F. LewisUnknown42
pastakhovUnknown41
JackmcbarnUnknown40
ebrahimUnknown36
asthana.sumit23Unknown34
Vivek GhaisasUnknown34
ladsgroupUnknown33
isarraUnknown33
kmengerUnknown32
DeskanaUnknown32
David ChanUnknown32
addshoreIndependent31
milimetricUnknown31
Andrew GarrettWikimedia Foundation30
CenariumUnknown30
Phoenix303Unknown30
PleaseStandUnknown30
cmjohnsonUnknown30
edokterUnknown28
ryasmeenUnknown28
Marielle VolzUnknown27
rillkeUnknown27
Tyler Anthony RomeoIndependent27
DavisNTUnknown27
priyankajayaswal025Unknown26
Marc A. PelletierUnknown26
Mukunda ModellUnknown25
hartmanUnknown24
TweichartUnknown24
ayush.ce13Unknown24
Raimond SpekkingIndependent23
matanyaUnknown23
se4598Unknown23
tptIndependent23
csteippUnknown21
mgrabovskyUnknown20
MalvineousUnknown20
Renoir BoulangerUnknown19
steinsplitterUnknown19
llbraughlerUnknown19
JuneHyeon BaeUnknown19
MobrovacUnknown17
MZMcBrideUnknown17
ecotgUnknown17
wirthUnknown16
Tobias GritschacherUnknown16
ManybubblesWikimedia Foundation16
gageUnknown15
Gerrit Code ReviewWikimedia Foundation14
Tim LandscheidtUnknown14
wctaiwanUnknown14
jagoriUnknown13
Lewis CawteUnknown13
spageUnknown12
gerardduenasUnknown12
welterkjUnknown11
mpalmerUnknown11
dan-nlUnknown11
Marcel Ruiz FornsUnknown11
jhobsUnknown10
jgreenUnknown10
qgilUnknown10
Jack PhoenixUnknown10
tosfosUnknown10
mahUnknown9
he7d3rUnknown9
Greg GrossmeierUnknown8
mikaelUnknown8
UnicodesnowmanUnknown7
eikesUnknown7
pginerUnknown7
gnosygnuUnknown7
notconfusingUnknown7
MgooleyUnknown7
VcamXUnknown6
kjiUnknown6
tamaraslosarekUnknown6
lydia.pintscherUnknown6
FoxtrottUnknown6
markUnknown6
Alexia E. SmithUnknown6
RAN1Unknown6
aklapperUnknown5
cicaleseUnknown5
martineznovoUnknown5
UltrasonicNXTUnknown5
VikassyUnknown5
raheemUnknown5
Felipe SchenoneUnknown5
CalakUnknown5
publicUnknown4
mwjamesUnknown4
gvaibhavraj2Unknown4
kunalgrover05Unknown4
Daniel FriesenUnknown4
pandiculationUnknown4
tciprianiUnknown3
lucieUnknown3
murnattyUnknown3
o0lilu0o1980Unknown3
mglaserUnknown3
chiefwei1989Unknown3
george.orwell.iiiUnknown3
Niharika KohliUnknown3
goettlichUnknown2
Brian WolffIndependent2
JoelKPUnknown2
LinedwellUnknown2
jkatzUnknown2
DschwenUnknown2
soeren.oldagUnknown2
pratikbspUnknown2
SouthparkfanUnknown2
JarrettmuntonUnknown2
Katie HornWikimedia Foundation2
PigpenUnknown2
sjoerddebruinUnknown2
HypergroveUnknown2
suchetagWikimedia Foundation2
dennerleinUnknown2
jonas.keutelUnknown2
Karsten HoffmeyerUnknown2
541329866Unknown2
pcoombeUnknown2
namit.ohriUnknown1
HarmageddonUnknown1
master.skywalker.88Unknown1
liangentUnknown1
Adrián Chaves Fernández (Gallaecio)Unknown1
SputnizaUnknown1
psg.1992Unknown1
Sherah SmithWikimedia Foundation1
PetrbUnknown1
TuxilinaUnknown1
wsklutzUnknown1
Kenrick95Unknown1
kahlil.wallaceUnknown1
ffsUnknown1
russblauUnknown1
EtonkovidovaUnknown1
cas222222221Unknown1
skizzerzUnknown1
mcintire.evanUnknown1
rtnproUnknown1
matx-1997Unknown1
WhaterssUnknown1
bmp2558Unknown1
Wieland HoffmannUnknown1
HujiUnknown1
npangarkarUnknown1
dragan.espenschiedUnknown1
Jackson IsaacUnknown1
truchirangaUnknown1
Oliver KeyesUnknown1
jarry1250Unknown1
maverickUnknown1
jdouglasUnknown1
JalexanderWikimedia Foundation1
daleUnknown1
KeeganUnknown1
Alex S.H. LinUnknown1
Technical_13Unknown1
Qgil added a comment.Feb 24 2015, 12:18 PM

Ok, this looks good. Thank you!

Is this data already counting all repositories in Gerrit (T86154)?

The shape of the diagram looks a bit weird between Sep 14 - Jan 15 (flat lines, that depression in November... was that caused by the Phabricator migration?). In any case the type of chart needed is that one.

Yes, the bots and their impact should be removed from all the metrics in Korma. I hope their "unknown" affiliation is not affecting numbers anywhere.

It is very useful to see how many Unknown for so many known names. Looking forward to know how you want us to provide this data (T88277).

Thanks!

It's counting around 1200 Gerrit repositories according to the database.

That depression in November/December may be because of the Phabricator migration, but I'm afraid that I can not conclude anything. This sounds like that in any case. Just to compare, the current number in February (not added to the chart) is similar to that month, even with a one week left. So, it's pretty low.

Regarding to the flat lines, that means that we got similar or the same numbers in two different months. This happens sometimes, although I agree that it looks weird. (I double checked the dataset in any case).

Finally, regarding to the affiliations, we may move those to "special" affiliations such as "Bots". This may help to avoid noise in other charts taking into account the "Unknown" affiliation.

Just to clarify, it's counting all of the repos according to T86154: Remove the filter for key Wikimedia software projects in korma.wmflabs.org.

And regarding to T88277: Instructions to update user data in korma, we still have to discuss about that internally. In any case, a simple way to provide this data seems to have that under a revision system. This would be a list of people and affiliations that you can change and we later import.

Qgil added a comment.Feb 25 2015, 10:21 AM

Why? Here we are counting active users in Gerrit. If a user logs in to Gerrit and self-merges a patch, that user has been active that month.

Why?

Self-merges are not code review. The bug summary says "code review". If you're not interested in code review, please change the summary.

Here we are counting active users in Gerrit.

That's not what the summary and task description say.

If a user logs in to Gerrit and self-merges a patch, that user has been active that month.

That would require sending the patch first, so it's best identified by counting patchset/changeset submission. If you're interested in any kind of activity and in mere counts of people, then why attach numbers to names and why focus on CR? You may consider patchsets, comments and CR and remove the numbers.

Qgil renamed this task from Active code review users on a monthly basis to Active Gerrit users on a monthly basis.Feb 26 2015, 2:29 PM

As similarly done in T59038: Basic metrics about contributors exercising +2/-2 permissions in Gerrit, the following step consists of adding the proposed chart (nicer and with addition of dates, etc) and table to the Gerrit overview in Korma at http://korma.wmflabs.org/browser/scr.html.

For those interested in the mockup discussion, we're having it at T59038: Basic metrics about contributors exercising +2/-2 permissions in Gerrit.

A basic data point that we are missing at http://korma.wmflabs.org/browser/scr.html:
How many users perform any kind of action in gerrit.wikimedia.org on a monthly basis?

Errm, isn't that "Participants" on http://korma.wmflabs.org/browser/scr-contributors.html ?

@Aklapper, that panel is work in progress of this task.

We're still missing two points in the panel to close this task:

  • Removal of bots
  • Addition of affiliations.
Dicortazar moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 22 2015, 11:41 AM

This panel is ready to go.

Please have a look at it.

Affiliations were added and bots removed as final steps

Qgil added a comment.Apr 23 2015, 12:39 PM

http://korma.wmflabs.org/browser/scr-contributors.html

This looks good. Thank you! We are still discussing about labels at T59038#1231001, but that should not block this task.

Innocent question: have you checked the data well? The number of monthly users in Gerrit since Feb 2014 is pretty stable, which is kind of shocking considering the growth of the engineering departments at the WMF...

Qgil added a comment.Apr 24 2015, 9:36 AM

In relation to

Why is there no "unaffiliated"? All these graphs give a very partial picture.
http://korma.wmflabs.org/browser/scr-companies.html

and

Affiliations were added and bots removed as final steps

Can it be that we lost "Independent" and "Unknown" with the change of system to introduce user data? We had these values before. Now the tables in http://korma.wmflabs.org/browser/scr-contributors.html only show a dash, and not having a single identified "Independent" among the Gerrit users of last month shows that something has gone wrong.

Thank you @Nemo_bis, I had missed this detail when checking these tables yesterday.

Ok, we still have such information, but as you mentioned, this is not considered in the analysis.

Please, let me check. And thanks for the pointer!

Qgil closed this task as Resolved.Apr 30 2015, 9:23 AM

Thank you! This is done.